Send a message directly

Sends an outbound WhatsApp message directly.

The message is submitted to the WhatsApp Business API synchronously. Typically used for sending OTP and instant messages.

The response body field error.whatsappApiError is included if we tried to request the WhatsApp Business API and got an error response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The sender's phone number in E.164 format.

string
required

The recipient's phone number in E.164 format.

string
enum
required

WhatsApp outbound message type. See also WhatsApp messages.

template
object

Required when type is template.

text
object

Required when type is text.

image

Required when type is image.

video

Required when type is video.

audio

Required when type is audio.

document

Required when type is document.

sticker

Required when type is sticker.

location
object

Required when type is location.

interactive
object

Required when type is interactive.

contacts
array of objects

Required when type is contacts.

contacts
reaction
object

Required when type is reaction.

context
object

Used to mention a specific message you are replying to. The reply can be any message type.

string

A unique (recommended) string to reference the object. This can be an order number or similar, and can be used to reconcile the object with your internal systems.

boolean

Optional. If set to true, the message will not be sent to users who have unsubscribed from your account. Defaults to false.

Only use for POST /v2/whatsapp/messages. If the user has unsubscribed, we will push webhook notifications with whatsappMessage.errorCode set to RECIPIENT_UNSUBSCRIBED.

Not applicable to POST /v2/whatsapp/message/sendDirectly.

boolean

Optional. If set to true, the message will not be sent to users in your block list. Defaults to false.

Only use for POST /v2/whatsapp/messages. If the user is in your block list, we will push webhook notifications with whatsappMessage.errorCode set to RECIPIENT_IN_BLOCK_LIST.

Not applicable to POST /v2/whatsapp/message/sendDirectly.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json